sddm (0.21.0+git20251101.dfa5315-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.
    - Drop xorg/x11 depends.
    - Fix for SDDM hanging on logout and not restarting the greeter on
      crash: (LP: #2147233)
      + d/p/fix-vt-hang-on-logout.patch: Fix SDDM hanging on logout by
        resetting VT from VT_PROCESS to VT_AUTO when the controlling session
        process has exited, preventing VT_WAITACTIVE from blocking
        indefinitely.
      + d/p/fix-greeter-restart-on-crash.patch: Restart greeter when it
        exits unexpectedly (e.g. compositor crash). SDDM now distinguishes
        between an intentional greeter stop (user login via expectStop(),
        explicit stop()) and an unexpected exit, emitting the failed() signal
        in the latter case so the display is restarted. Display calls
        expectStop() on the greeter when user authentication succeeds to
        prevent the normal session-handoff exit from being treated as a
        crash.
  * Add add-autologin-session-type.patch for Autologin X11/Wayland switches.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 05 Jul 2026 15:19:04 -0500

sddm (0.21.0+git20251101.dfa5315-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (0.21.0+git20251101.dfa5315).
  * pam: reorder pam_selinux usage, so that  most session modules are run
    under the updated security context of the user. (Thanks Christian
    Göttsche)
  * Add lintian overrides for bashism false positives.
  * Drop stale After=haveged.service in systemd unit since we stopped
    recommending haveged and it’s not necessary anymore.
  * Drop systemd unit Conflicts/After getty@tty7.service, we’ve been
    starting on VT1 since bookworm.
  * Switch to debian/watch format version 5.
  * Bump Standards-Version to 4.7.3, no change required.

  [ Ludovic Bellière ]
  * Provide $x-display-manager facility (Closes: #1125935)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Mar 2026 12:40:16 +0100

sddm (0.21.0+git20250502.4fe234b-2ubuntu3) resolute; urgency=medium

  * Fix for SDDM hanging on logout and not restarting the greeter on 
    crash: (LP: #2147233)
    - d/p/fix-vt-hang-on-logout.patch: Fix SDDM hanging on logout by
      resetting VT from VT_PROCESS to VT_AUTO when the controlling session
      process has exited, preventing VT_WAITACTIVE from blocking
      indefinitely.
    - d/p/fix-greeter-restart-on-crash.patch: Restart greeter when it
      exits unexpectedly (e.g. compositor crash). SDDM now distinguishes
      between an intentional greeter stop (user login via expectStop(),
      explicit stop()) and an unexpected exit, emitting the failed() signal
      in the latter case so the display is restarted. Display calls
      expectStop() on the greeter when user authentication succeeds to
      prevent the normal session-handoff exit from being treated as a
      crash.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 03 Apr 2026 14:15:26 -0700

sddm (0.21.0+git20250502.4fe234b-2ubuntu2) resolute; urgency=medium

  * Drop xorg/x11 depends again.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 07:35:05 +0000

sddm (0.21.0+git20250502.4fe234b-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Aug 2025 12:13:25 +0100

sddm (0.21.0+git20250502.4fe234b-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Stop recommending qt6-virtualkeyboard-plugin, it makes non-
    virtualkeyboard aware themes unable to hide the virtual keyboard
    which causes issues for all SDDM themes but KDE’s breeze. Instead
    sddm-theme-breeze and sddm-theme-debian-breeze that can handle this
    correctly were added that recommends in plasma-desktop 4:6.3.6-1. (Closes:
    #1095604)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Jul 2025 08:57:40 +0200

sddm (0.21.0+git20250502.4fe234b-1ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Jun 2025 09:20:49 +0100

sddm (0.21.0+git20250502.4fe234b-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (0.21.0+git20250502.4fe234b).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 03 May 2025 20:32:40 +0200

sddm (0.21.0+git20250131.c2b97dd-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Mark SddmComponents as optional for dh_qmldeps to fix the arch:all
    build. (Closes: 1099481)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Mar 2025 07:38:00 +0100

sddm (0.21.0+git20250131.c2b97dd-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild for the qt6-declarative transition.
  * New upstream git snapshot with updated translations
    (0.21.0+git20250131.c2b97dd).
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to declarative KF6 debhelper build sequence.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Mar 2025 08:37:18 +0100

sddm (0.21.0+git20241213.4a9aa2e-1ubuntu2) plucky; urgency=medium

  * Bump Standards-Version to 4.7.1, no changes needed.
  * Drop several Xorg Depends, these should be picked up elsewhere if truly
    needed.
  * Add a basic autopkgtest.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 21:57:11 -0600

sddm (0.21.0+git20241213.4a9aa2e-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.
  * Refresh patches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Dec 2024 20:50:28 -0600

sddm (0.21.0+git20241213.4a9aa2e-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Sddm breaks sddm-theme-breeze versions earlier than 6.x.
  * New upstream git snapshot (0.21.0+git20241213.4a9aa2e). (Closes:
    #1089211, #1088277) (That commit is actually from 20241108.)
  * Refresh patches.
  * Upstream dropped its debian-specific PAM conf files that we were
    overriding anyway.
  * Add patch to make Maui theme’s background configurable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 18:54:29 +0100

sddm (0.21.0-6ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.
  * Use ${qml6:Depends} in binary package depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Dec 2024 17:15:52 -0600

sddm (0.21.0-6) unstable; urgency=medium

  * Team upload.
  * Update the recommended virtual keyboard plugin to qt6-virtualkeyboard-plugin

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Dec 2024 23:08:50 +0100

sddm (0.21.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 23:10:36 +0100

sddm (0.21.0-4ubuntu4) plucky; urgency=medium

  * Drop depreciated qml6-module-qtqml-base depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Dec 2024 15:32:03 +0000

sddm (0.21.0-4ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 18:11:32 -0600

sddm (0.21.0-4ubuntu2) plucky; urgency=medium

  * Revert the login -> login.defs build dependency change, this has not yet
    landed in Ubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 22:14:35 -0500

sddm (0.21.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.
    - d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on arm64.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 21:24:11 -0500

sddm (0.21.0-4) experimental; urgency=medium

  * Team upload.
  * Drop obsolete reference to example sddm.conf in README.Debian because
    upstream no longer provides a pregenerated example configuration (Closes:
    #911961, #1081684).
  * Add login.defs to Build-Depends because "login" is not part of
    build-essential in trixie, and because login might drop its login.defs
    dependency in forky.  Thanks to Santiago Vila and Chris Hofstaedtler
    (Closes: #1078320).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 20 Oct 2024 20:48:44 -0400

sddm (0.21.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Move qtvirtualkeyboard-plugin from Suggests to Recommends for easier
    login on tablets.
  * Add missing QML dependencies.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 18:24:07 +0200

sddm (0.21.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build against Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Jul 2024 01:00:55 +0200

sddm (0.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on login so cmake can find and see the /etc/login.defs file.
    Just specifying it with -DLOGIN_DEFS_PATH is not enough. (Closes: #1078320)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 19:52:26 +0200

sddm (0.21.0-1ubuntu4) oracular; urgency=medium

  * debian/patches: Drop revert_prefer-wayland-sessions-over-X11.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Sep 2024 06:48:11 +0100

sddm (0.21.0-1ubuntu3) oracular; urgency=medium

  * d/rules: Explicitly pass QML_INSTALL_DIR to cmake to fix FTBFS on
    arm64.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 10:11:52 +0100

sddm (0.21.0-1ubuntu2) oracular; urgency=medium

  [ Simon Quigley ]
  * Build with Qt 6 instead of Qt 5.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Jul 2024 09:53:36 -0500

sddm (0.21.0-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
      + Refresh the above patch.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.

 -- Rik Mills <rikmills@kde.org>  Thu, 16 May 2024 01:59:43 +0100

sddm (0.21.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release:
    - the D-Bus policy file is installed in /usr now (Closes: #1041237)
  * Update install files.
  * Remove the old /etc/dbus-1/system.d/sddm_org.freedesktop.DisplayManager.conf
    conffile.
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Switch the systemd build dependency to systemd-dev (Closes: #1060590);
    note that the libsystemd-dev build dependency is kept, as sddm uses
    libsystemd.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop the libupower-glib-dev build dependency, no more used.

  [ Atila KOÇ ]
  * Turkish debconf translation update. (Closes: #1032309)

 -- Pino Toscano <pino@debian.org>  Sun, 12 May 2024 12:05:56 +0200

sddm (0.20.0-2ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:55 +0200

sddm (0.20.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:12:06 +0000

sddm (0.20.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:04:10 +0000

sddm (0.20.0-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
      + Refresh the above patch.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Dec 2023 11:52:38 +0000

sddm (0.20.0-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Add the xkb-data dependency, needed for the X11 xkb rules.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * Fix FTBFS: Also ignore /usr-moved upstream systemd unit, thx to
    Helmut Grohne (Closes: #1057338).

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Dec 2023 22:08:35 +0100

sddm (0.20.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Make sure sddm.service starts at the correct time.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
      + Refresh the above patch.
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays,

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Jun 2023 14:30:54 +0100

sddm (0.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.20.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Drop patch 03_vt7-minimum-vt.diff and switch back to upstream default of
    spawning greeter on VT1.
  * Drop patches applied upstream.
  * Refresh the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jun 2023 08:38:52 +0200

sddm (0.19.0-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
    - Patch to avoid screen overlap or inset.
    - Patch Xsetup script to use bash. Allows previous patch to actually
      run as it requires arrays

 -- Rik Mills <rikmills@kde.org>  Mon, 26 Jun 2023 10:09:31 +0100

sddm (0.19.0-5) unstable; urgency=medium

  * Drop haveged from recommends, it used to be necessary to gather enough
    entropy to avoid freezes during boot but this hasn’t been the case anymore
    for many kernel releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Feb 2023 22:51:20 +0100

sddm (0.19.0-4) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Recommend sddm-theme-debian-breeze instead of maui (Closes: #949340).
    The alternatives system gives this theme the highest priority, so install
    it by default.

  [ Pino Toscano ]
  * Remove inactive Uploaders.
  * Backport upstream commit e93bf95c54ad8c2a1604f8d7be05339164b19308 to fix
    build with newer versions of Qt 5.15; patch
    upstream_Fix-compilation-once-QTBUG-88431-gets-fixed.patch.
    (Closes: #1013550)
  * Update lintian overrides.
  * Use /usr/share/dpkg/architecture.mk instead of querying the $DEB_HOST_*
    variables manually.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove the upstream sddm.service in execute_after_dh_auto_install, rather
    than execute_before_dh_install; same effect, mostly a better place
    logically.
  * Use execute_after_dh_fixperms-arch, and execute_after_dh_installpam to avoid
    invoking dh_fixperms, and dh_installpam manually.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Oct 2022 10:30:14 +0200

sddm (0.19.0-3ubuntu3) lunar; urgency=medium

  * Patch Xsetup script to use bash (LP: #2009074)
    - Allows previous patch to actually run as it
      requires arrays

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 02 Mar 2023 11:26:21 -0800

sddm (0.19.0-3ubuntu2) lunar; urgency=medium

  * Patch to avoid screen overlap or inset (LP: #1998254)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 29 Nov 2022 13:34:07 -0800

sddm (0.19.0-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
    - Revert upstream change prefering wayland sessions.
      + debian/patches: revert_prefer-wayland-sessions-over-X11.patch
    - Add sddm-fix-build.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 12:19:39 +0100

sddm (0.19.0-3) unstable; urgency=medium

  * Cherry-pick upstream commit to re-add sourcing of /etc/profile and
    $HOME/.profile for users with fish as their default shell.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Mar 2021 22:41:58 +0100

sddm (0.19.0-2ubuntu2) hirsute; urgency=medium

  * Revert upstream change prefering wayland sessions.
    - debian/patches: revert_prefer-wayland-sessions-over-X11.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Feb 2021 17:33:00 +0000

sddm (0.19.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Nov 2020 11:53:51 +0000

sddm (0.19.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Disable 07_fix-desktop-session-env-var.diff imported from Ubuntu
    (Closes: #973907)
  * Add upstream's d/p/upstream-2f034906d-use-only-basename-of-session to
    use only the basename of the session file as session name.

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 04:38:45 +0900

sddm (0.19.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.19.0):
    - Fix X not having access control on startup (fixes CVE-2020-28049)
  * Fix lintian warning command-with-path-in-maintainer-script in postrm.
  * Sync patches with Kubuntu.
  * Switch to UTF-8 encoding for Swedish po translation.
  * Review copyright information.
  * Build with hardening=+all build hardening flag.
  * Mark watch file as version=4, no change required.
  * Don’t install LICENSE files from source, their contents is already in
    d/copyright.
  * Install upstream README files to /usr/share/doc.
  * Disable lintian warning for Maya theme’s font license, the source gives a
    plausible source and license that are redistribuable.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
    - bump compatibility level to 13

  [ Norbert Preining ]
  * Bump build-depends according to CMakeLists.
  * Add Aurélien and myself to uploaders.
  * Change maintainer to Debian Qt/KDE ...
  * Don't do recursive change of ownership of /var/lib/sddm in d/sddm.postinst

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 09:28:39 +0900

sddm (0.18.1-1ubuntu3) groovy; urgency=medium

  * debian/conffiles: Switch to using absolute paths, which are now
    being enforced by the latest dpkg. (LP: #1891068)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 07:43:10 +0100

sddm (0.18.1-1ubuntu2) focal; urgency=medium

  * Revert upstream_set-re-use-session-option-by-default.diff

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 15:44:32 +0000

sddm (0.18.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Recommend the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Bump Standards-version to 4.1.5, no changes needed.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
  * Add upstream_set-re-use-session-option-by-default.diff

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Feb 2020 08:17:37 +0000

sddm (0.18.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add missing license paragraph
  * Add wayland-session as a conffile
  * Avoid sourcing /etc/profile with fish.
    Thanks to Alf Gaida for the report (Closes: 904698)

  [ Pino Toscano ]
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Remove the unused debian/meta/ stuff.
  * Remove debian/not-installed, as we ship everything.
  * Switch from python-docutils to python3-docutils to get Python 3-based
    rst2man. (Closes: #943206)
  * Small changes to copyright.
  * Drop the upstart confirmation, as it is long gone
    - unregister it as conffile
  * Depend on xauth, as it is used for X sessions. (Closes: #929463)
  * Change sid to unstable in old changelog entries. (Closes: #901969)
  * Improve the Debian-provided sddm.service: (Closes: #916398, #950391)
    - remove old check of /etc/X11/default-display-manager
    - alias it as display-manager.service
    - add getty@tty1.service to Conflicts/After to avoid races

  [ Lorenzo Puliti ]
  * Improve sysv init script: (Closes: #915534)
    - add dbus under 'Should Start'
    - remove  'S' and 'K' update-rc.d levels from postinst script,
      as setting the boot sequence that way is deprecated and no longer
      effective

 -- Pino Toscano <pino@debian.org>  Sun, 23 Feb 2020 13:34:38 +0100

sddm (0.18.0-1ubuntu2) cosmic; urgency=medium

  * sddm-ubuntu-theme, not sddm-debian-theme.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 08:15:15 -0500

sddm (0.18.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Recommend the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be used
    in the same fashion Debian's is.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 07:51:00 -0500

sddm (0.18.0-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Remove unneeded dbgsym stanza of debian/rules.
  * Refresh patches for the new upstream release, and remove the
    reverse-applicable handle-reading-from-a-closed-file-handle.patch.
  * /etc/sddm.conf is no longer shipped by default; remove it from
    sddm.install and not-installed.

  [ Maximiliano Curia ]
  * Workaround entropy starvation by recommending haveged
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Jul 2018 13:26:44 +0200

sddm (0.17.0-2) experimental; urgency=medium

  * New revision
  * Also read the environment from ~/.pam_environment
  * Start after systemd-logind
  * Check for the daemon name, not the full path.
    Thanks to Alf Gaida for the report (Closes: 901966)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Jun 2018 13:08:36 +0200

sddm (0.17.0-1ubuntu7) bionic; urgency=medium

  * debian/sddm.service: Always wait for plymouth quit to run before
    trying to start.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Apr 2018 14:12:06 +0100

sddm (0.17.0-1ubuntu6) bionic; urgency=medium

  * debian/sddm.service Apply the fix for the race between sddm and
    logind to our service template as this is what we install.
  * debian/patches: Drop previous fix-logind-race.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 22:21:36 +0100

sddm (0.17.0-1ubuntu5) bionic; urgency=medium

  * debian/sddm.service: Now we start on VT1 we need to avoid collision
    with plymouth. So take the startup ordering recommended in the
    sddm.service comments, and currently in use by KDE Neon.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 13:39:09 +0100

sddm (0.17.0-1ubuntu4) bionic; urgency=high

  * Fix race between sddm and logind (LP: #1763977).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 15 Apr 2018 14:36:43 -0500

sddm (0.17.0-1ubuntu3) bionic; urgency=medium

  * Use VT1 by default now ubuntu has switched to this. Remaining on VT7
    has already caused one issue with ubiquity-dm where it expects the
    dm to conflict getty@getty1.service, but we do not. While this may
    be fixed in ubiquity itself, sddm no longer has any reason in ubuntu
    to force minumim VT7.
    - debian/patches: drop 03_vt7-minimum-vt.diff
    - debian/sddm.service: conflict getty@tty1.service rather than tty7

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 11 Apr 2018 07:50:07 +0100

sddm (0.17.0-1ubuntu2) bionic; urgency=high

  * Merge back in contents of 0.14.0-4ubuntu2 which were dropped during the
    last Debian merge.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 31 Mar 2018 17:56:57 -0500

sddm (0.17.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Use the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Add pam_kwallet.so to debian/sddm.pam.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 22:16:55 -0600

sddm (0.17.0-1) unstable; urgency=medium

  [ Clive Johnston ]
  * Drop upstream patches.

  [ Simon Quigley ]
  * New upstream release (0.17.0).
  * Bump Standards-version to 4.1.1, no changes needed.
  * Upstream patch from Kubuntu which allows for NVIDIA Prime to be setup on
    login.
  * Update patches.
  * Add 04_set_default_path.diff back.

  [ Maximiliano Curia ]
  * Suggest qtvirtualkeyboard
  * Bump to Standards-Version 4.1.3
  * Update Vcs fields
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Feb 2018 09:26:35 +0100

sddm (0.15.0-1) unstable; urgency=medium

  * New upstream release (0.15.0).
  * Drop upstream patches
  * Migrate to dh using compat 10
  * Bump Standards-Version to 4.1.0.
  * Add new theme sddm-theme-maya
  * Use pam_deny in the sddm-greeter password
  * Add fish specific Xsession snipped (from upstream's f486cf4)
  * Update copyright file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 23:57:41 +0200

sddm (0.14.0-4ubuntu2) bionic; urgency=high

  * Don't use an absolute path when setting $DESKTOP_SESSION (LP: #1668722).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 18:25:09 -0600

sddm (0.14.0-4ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * New upstream release (LP: #1627340).
  * Merge from Debian. Remaining changes:
    - Keep the default-display-manager file logic in sddm.postinst.
    - Keep kubuntu-specific patches:
      + kubuntu_nvidia-prime.diff
      + kubuntu_minimum_vt.diff instead of 03_vt7-minimum-vt.diff
  * Dropped changes:
    - Remove debian/patches/upstream_autologin_fallback.diff as it's
      reverse-applicable.
  * Refresh patches.

  [ Clive Johnston ]
  * Re-apply 02_kubuntu_use_breeze.diff
  * Update VCS to LP and replace maui theme for breeze in recommends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 02 May 2017 18:55:40 +0100

sddm (0.14.0-4) unstable; urgency=medium

  * Update documentation, add information about HiDPI

 -- Maximiliano Curia <maxy@debian.org>  Tue, 14 Mar 2017 09:50:33 +0100

sddm (0.14.0-3) unstable; urgency=medium

  * Drop pam_systemd.so from our pam rules.
    Thanks to Russell Coker for reporting (Closes: 850006)
  * Add new upstream patch: Fix-display-of-user-avatars.-684.patch.
    Thanks to Salvo Tomaselli for reporting (Closes: 856195)
  * Create sddm's home dir if not present
  * Add HiDPI patches:
    Add-a-config-option-to-enable-high-DPI-scaling-701.patch (upstream) and
    Regression-fix-disable-HiDPI-by-default.patch.
    Thanks to Laurent Bonnaud for reporting and testing (Closes: 853843)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 12 Mar 2017 17:33:04 +0100

sddm (0.14.0-2) unstable; urgency=medium

  * Avoid killing plymouth from the sddm system unit (Closes: 854260)
  * Purge dangling symlink.
    Thanks to Andreas Beckmann for following this issue (Closes: 848936)
  * Install the generated configuration file as an example
  * Workaround debconf's db_purge stdout parsing (#855912)
    Thanks to Laurent Bonnaud for reporting (Closes: 853844)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Feb 2017 19:09:24 +0100

sddm (0.14.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (0.14.0).
  * Add missing xserver dependencies. (Closes: 833080)
  * Refresh patches
  * Update build-deps and deps with the info from cmake
  * Drop maui and circles themes
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Migrate dbg package to automatic dbgsym
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Demote the breeze theme to a recommends
  * Add a basic README.Debian for the sddm configuration and themes
  * Add new patch: handle-reading-from-a-closed-file-handle.patch

  [ Aurélien COUDERC ]
  * Add SDDM themes based on Debian arwork, make default theme configurable with alternatives

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 20:41:13 +0100

sddm (0.13.0-1ubuntu5) xenial; urgency=medium

  * Cherry-pick cb768895c8e0d21c689d63f69d7ac668fe4e8fa6 so there is a working
    way to login if autologin fails on an invalid session config

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Jan 2016 01:25:13 +0100

sddm (0.13.0-1ubuntu4) xenial; urgency=medium

  * Switch the watch file back to gz as xz lookup on GitHub isn't really
    possible
  * Restore kwallet4 auto-start that was dropped in the debian merge

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 10 Jan 2016 15:40:55 +0100

sddm (0.13.0-1ubuntu3) xenial; urgency=medium

  * Mark wayland-session as a conffile as well
  * Switch the watch file from gz to xz

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jan 2016 11:15:01 +0100

sddm (0.13.0-1ubuntu2) xenial; urgency=medium

  * Mark Xstart, Xsession and Xstop as conffiles as they are supposed to be
    editable by users (LP: #1531465)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jan 2016 10:44:21 +0100

sddm (0.13.0-1ubuntu1) xenial; urgency=medium

  * Merge with debian unstable (LP: #1519564, #1516837, #1511286)
    remaining changes:
    - keep the default-display-manager file logic in sddm.postinst
    - keep kubuntu specific patches:
      + kubuntu_nvidia-prime.diff
      + kubuntu_minimum_vt.diff instead of 03_vt7-minimum-vt.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Jan 2016 16:15:05 +0100

sddm (0.13.0-1) unstable; urgency=medium

  * Team Upload
  [ Diane Trout ]
  * New upstream release.
  * Remove CVE-2015-0856.patch applied upstream.
  * Refresh patches.
  * Build man pages
    - Add python-docutils to Build-Depends
    - Add built man pages to sddm.install

  [ Scott Kitterman ]
  * Add missing debian/changelog entry from previous revision
  * Apply sddm.pam.diff (provided by Alf Gaida - Thanks!) and add
    libpam-systemd to sddm Recommends to fix session problems while using
    systemd while still allowing non-systemd installations (Closes: #799837,
    #806758)

 -- Diane Trout <diane@ghic.org>  Mon, 04 Jan 2016 22:23:34 -0800

sddm (0.12.0-5) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Delete the sddm.log file on purge. (Closes: #793679)
  * The themes shipped with sddm need the latest version, using breaks
    instead of depends to avoid circular deps. (Closes: #800462) Thanks
    to Max Görner

  [ Matthias Klumpp ]
  * Fix deadlock in sddm.service when waiting for Plymouth to quit

  [ Scott Kitterman ]
  * Add debian/patches/CVE-2015-0856.patch to fix potential issue if an SDDM
    theme crashes while running the KDE debug handler (Closes: #803338)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Oct 2015 00:01:45 -0400

sddm (0.12.0-4) unstable; urgency=medium

  * Fix indep build. (Closes: #799142) Thanks to Boris Pek

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Sep 2015 15:06:00 +0200

sddm (0.12.0-3) unstable; urgency=medium

  * Update service file, run after plymouth-quit-wait.
  * Re add patch: 04_set_default_path.diff

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Sep 2015 21:22:30 +0200

sddm (0.12.0-2) unstable; urgency=medium

  * Team upload
  * Ensure SDDM waits for Plymouth and getty to quit before starting
    (Closes: #793637)
  * Drop some unnecessary patches
  * Suggest libpam-kwallet5 instead of pam-kwallet5

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Sep 2015 16:32:50 +0200

sddm (0.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release: 0.12.0
  * Drop patches which are applied upstream
  * Refresh and reorganize remaining patches
  * debian/rules: Compile with DBUS_CONFIG_FILENAME set to non-conflicting name
  * Ensure Xsession script is marked as executable
  * Don't fail when purging sddm

 -- Matthias Klumpp <mak@debian.org>  Sat, 05 Sep 2015 22:02:54 +0200

sddm (0.11.0-4) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Add Provides: x-display-manager for sddm (Closes: 795006)

  [ Maximiliano Curia ]
  * Add the Xsession script. (Closes: #794419)
  * New patch: default_path

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 17:23:08 +0200

sddm (0.11.0-3) unstable; urgency=medium

  * Transition to libsystemd-dev. (Closes: #792400) Thanks to Michael
    Biebl
  * New patch: libsystemd.diff
  * Fix systemctl path. (Closes: #792401) Thanks to Michael Biebl
  * New patch: sddm_systemctl.diff
  * Update debian/po files. (Closes: #792085) Thanks to Christian
    Perrier

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jul 2015 21:34:44 +0200

sddm (0.11.0-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Re-enable patches kubuntu_use_breeze.diff, kubuntu_minimum_vt.diff,
    upstream_add-graphical.target.diff.
  * Re-enable libpam-gnome-keyring.

  [ Pino Toscano ]
  * Make sddm build on non-Linux architectures:
    - limit the libsystemd-login-dev build dependency as linux-any
    - properly use DEB_HOST_ARCH_OS for detecting the current target OS
    - explicitly disable systemd and journald on non-Linux archs
    - disable installation of the upstream lib/systemd/system/sddm.service
      (installed only with systemd support enabled), as there is a local
      debian/sddm.service which will be used anyway instead

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 15:20:08 +0200

sddm (0.11.0-1) experimental; urgency=medium

  [ Michał Zając ]
  * Initial release (LP: #1157742)

  [ Maximiliano Curia ]
  * New upstream release (0.10.0).
  * New upstream release (0.11.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Mar 2015 21:27:38 +0100

sddm (0.11.0-0ubuntu12) xenial; urgency=high

  * Replace libsystemd-login-dev with libsystemd-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 04 Jan 2016 14:25:10 +0000

sddm (0.11.0-0ubuntu11) wily; urgency=medium

  * Fix postrm to remove what was if'd for as to avoid failure.
  * Add pam_kwallet5 to the pam profile rules. It is the same version as
    pam_kwallet but for kwallet5 (kwallet4 and kwallet5 are distinct entities
    requiring separate unlocking)

 -- Harald Sitter <sitter@kde.org>  Mon, 24 Aug 2015 12:40:32 +0200

sddm (0.11.0-0ubuntu10) vivid; urgency=medium

  * Add kubuntu_nvidia-prime-logout.diff from Alberto to run a script on
    logout
  * In kubuntu_nvidia-prime.diff run nvidia-switch on logout

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Apr 2015 21:31:06 +0200

sddm (0.11.0-0ubuntu9) vivid; urgency=medium

  * Update sddm.postinst to create /etc/X11/default-display-manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2015 21:48:55 +0200

sddm (0.11.0-0ubuntu8) vivid; urgency=medium

  * Add upstream_fix-zsh-Xsession.patch: fix Xsession with zsh from
    upstream. LP: #1439826

 -- Dan McGregor <dan.mcgregor@usask.ca>  Thu, 02 Apr 2015 11:26:39 -0600

sddm (0.11.0-0ubuntu7) vivid; urgency=medium

  * Add kubuntu_nvidia-prime.diff to run nvidia-prime setup script at
    login

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 16:07:55 +0200

sddm (0.11.0-0ubuntu6) vivid; urgency=medium

  * In kubuntu_minimum_vt.diff remove conflicts on tty1 in systemd
    sddm.service

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 16:37:15 +0200

sddm (0.11.0-0ubuntu5) vivid; urgency=medium

  * Add upstream_add-graphical.target.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 18:31:32 +0100

sddm (0.11.0-0ubuntu4) vivid; urgency=medium

  * Add kubuntu_minimum_vt.diff to set minimum vt to 7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2015 17:02:02 +0100

sddm (0.11.0-0ubuntu3) vivid; urgency=medium

  * Re-enable systemd integration and install the sddm.service again

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 14 Dec 2014 19:02:38 +0100

sddm (0.11.0-0ubuntu2) vivid; urgency=medium

  * Sync with packaging from kubuntu_unstable

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Nov 2014 17:58:48 +0100

sddm (0.11.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Nov 2014 17:57:57 +0100

sddm (0.10.0+dfsg1-0ubuntu1) vivid; urgency=medium

  * Initial archive upload
  * Replace file data/themes/maldives/maldives.jpg and
    data/themes/maldives/background.jpg background file with a free
    image, https://github.com/sddm/sddm/issues/315

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Oct 2014 15:39:42 +0200
